File: changelog

package info (click to toggle)
iem-plugin-suite 1.11.1-1
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, bullseye, sid
  • size: 10,756 kB
  • sloc: cpp: 124,611; makefile: 170; sh: 111
file content (180 lines) | stat: -rw-r--r-- 5,935 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
iem-plugin-suite (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1 (Closes: #952048)
    * Drop patches applied upstream
  * Fix dependencies
    * Tighten versioned B-D on "juce-modules-source" to >5.4.5
    * Tighten versioned B-D on "juce-tools" to >5.4.4
    * Specifying common library is no longer needed
  * Update d/copyright
    * Regenerate d/copyright_hints
  * Add salsa-ci configuration
  * Bump dh-compat to 12
  * Declare compliance with standards version 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Apr 2020 15:05:54 +0200

iem-plugin-suite (1.11.0-2) unstable; urgency=medium

  * Cherrypick upstream's fix for (not) using SIMDRegister on non-amd64
    * Fixes FTBFS on non-amd64 architectures

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Dec 2019 13:33:37 +0100

iem-plugin-suite (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0
    (Closes: #925716)

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Remove Multi-Arch:same for iem-plugin-suite-vst
  * Update d/copyright
    * Regenerate d/copyright

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Dec 2019 16:10:20 +0100

iem-plugin-suite (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
    * Drop patches applied upstream
    * Require JUCE>=5.4 for building
  * Provide symlinks to standard locations of VST-plugins
  * Bumped standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 10 Jan 2019 21:54:46 +0100

iem-plugin-suite (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1
    * Backported patch to properly resave JUCE projects
  * Set iem-plugin-suite-vst to "Multi-Arch: same"

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 06 Dec 2018 15:21:18 +0100

iem-plugin-suite (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
  * Declare that the package can be built without "root" privilieges

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 26 Oct 2018 21:30:27 +0200

iem-plugin-suite (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 28 Sep 2018 18:38:42 +0200

iem-plugin-suite (1.6.0-2) unstable; urgency=medium

  * Disallow parallel builds (hopefully fixing FTBFS)
  * Bumped standards to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 03 Sep 2018 21:25:35 +0200

iem-plugin-suite (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Refreshed d/copyright_hints
  * Bumped standards version to 4.1.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Jul 2018 14:04:47 +0200

iem-plugin-suite (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0

  * Dropped B-D on libgtk-3-dev
  * Dropped fakeX patch
    * Run entire build through xvfb-run

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 24 Jun 2018 17:10:52 +0200

iem-plugin-suite (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
    * Dropped patches applied upstream.
    * Refreshed patches
  * Dropped dependencies on flac/ogg/vorbis and libwebkit2gtk

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 17 May 2018 22:22:18 +0200

iem-plugin-suite (1.3.0-2) unstable; urgency=medium

  * Fixed FTBS on armel/mips/... by linking with libatomic
  * Make sure that standalones get sorted correctly in the manpage

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 16 May 2018 11:30:55 +0200

iem-plugin-suite (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0 (Closes: #886430)
    * Dropped patches applied upstream
    * Refreshed patches
  * Patch to fix (new) spelling errors
  * Bumped versioned Depends on juce-modules-source (>=5.3.2)
  * Updated d/watch
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 14 May 2018 12:55:37 +0200

iem-plugin-suite (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
    * Backported upstream fixes for missing includes
    * Fix spelling error
  * Updated d/copyright(_hints)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Apr 2018 15:03:20 +0200

iem-plugin-suite (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
    * Refreshed patches
  * Link against fftwf
    * B-D on libfftw3-dev
  * Prefix standalone applications with _iem-plugin-'
  * Dropped no-longer used manpage
  * Updated Vcs-* stanzas to salsa.d.o

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 23 Feb 2018 20:59:33 +0100

iem-plugin-suite (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
    * Refreshed patches
  * Fixed spelling errors
  * B-D on juce-modules-source>=5.2.1 required by BinauralDecoder
  * Included upstream README & ChangeLog
  * Updated maintainer email address
  * Refreshed d/copyright_hints
  * Fixed watch file

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 09 Feb 2018 21:26:37 +0100

iem-plugin-suite (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
    * Refreshed patches
  * Updated d/copyright
    * Refreshed d/copyright_hints
  * Fixed d/watch
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 10 Jan 2018 20:48:57 +0100

iem-plugin-suite (1.0.1-2) unstable; urgency=medium

  * Install ardour & carla symlinks
  * Use source package "juce" for Built-Using

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Dec 2017 22:43:54 +0100

iem-plugin-suite (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #884872)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 24 Dec 2017 22:18:46 +0100